package com.project.common.core.domain.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.project.common.annotation.Excel;
import com.project.common.core.domain.CustomBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.math.BigDecimal;

/**
 * 用户对象 base_user
 *
 * @author change
 * @date 2024-06-20
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@TableName("base_user")

public class BaseUser extends CustomBaseEntity {

    /**
     * 主键id
     */
    @TableId(value = "id")

    private Long id;

    /**
     * 昵称
     */
    @Excel(name = "昵称")

    private String nickName;

    /**
     * 头像
     */
    @Excel(name = "头像")

    private String headImgUrl;

    /**
     * 手机号
     */
    @Excel(name = "手机号")

    private String phone;

    /**
     * 登录账号
     */
    @Excel(name = "登录账号")

    private String account;

    /**
     * 密码
     */
    @Excel(name = "密码")

    private String password;

    /**
     * 用户积分
     */

    private Long points;
    /**
     * 用户积分
     */

    private Long totalPoints;

    /**
     * 用户余额
     */
    @Excel(name = "用户余额")

    private BigDecimal balance;

    /**
     * 提现中金额
     */
    @Excel(name = "提现中金额")

    private BigDecimal cashBalance;

    /**
     * 累计余额
     */
    @Excel(name = "累计余额")

    private BigDecimal totalBalance;

    /**
     * 经度
     */
    @Excel(name = "经度")

    private String longitude;

    /**
     * 纬度
     */
    @Excel(name = "纬度")

    private String latitude;

    /**
     * 经度
     */
    @Excel(name = "最后登录IP")

    private String loginIp;

    /**
     * 纬度
     */
    @Excel(name = "最后登录时间")

    private String loginDate;

    /**
     * 所属街道
     */
    @Excel(name = "所属街道")

    private String streetName;

    /**
     * 是否是销售  1是 0否
     */

    private Long openSale;
    /**
     * 是否已注销  1是 0否
     */

    private Integer logOff;

}
