package com.project.zcustom.domain.addional;

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonInclude;
import com.project.common.annotation.Excel;
import com.project.common.core.domain.CustomBaseEntity;
import lombok.Data;

import java.util.Date;

@Data
@TableName("large_plat_public_car_warn_detail")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class LargeWarnDetail extends CustomBaseEntity {
    @JSONField(name = "ID")
    private Long id;

    /**
     * 单位名称
     */
    @TableField(exist = false)
    private String appName;

    /**
     * 所属单位编码
     */
    @Excel(name = "所属单位")
    @JSONField(name = "orgCode")
    private String appEncode;

    /**
     * 车牌号
     */
    @Excel(name = "车牌号")
    @JSONField(name = "vehicleNumber")
    private String vehicleNum;

    /**
     * 预警类型
     */
    @Excel(name = "预警类型")
    @JSONField(name = "alertType")
    private String alertType;

    /**
     * 预警开始时间
     */
    @Excel(name = "预警开始时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date startTime;

    /**
     * 预警结束时间
     */
    @Excel(name = "预警结束时间")
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date endTime;

}
