package com.project.zcustom.domain.post;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.project.common.annotation.Excel;
import com.project.common.core.domain.CustomBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 近六个月报修分类占比对象 plat_post_station_chart
 *
 * @author change
 * @date 2024-10-21
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@TableName("large_plat_post_station_chart")

public class PlatPostStationChart extends CustomBaseEntity {

    /**
     * 主键id
     */
    @TableId(value = "id")

    private Long id;

    /**
     * 地区编码
     */
    @Excel(name = "地区编码")

    private String appOrg;

    /**
     * 近六个月报修分类占比 取值1-6
     */
    @Excel(name = "近六个月报修分类占比 取值1-6")

    private Long appMonth;

    /**
     * 消防
     */
    @Excel(name = "办公家具")

    private Long colNum;

    /**
     * 电梯
     */
    @Excel(name = "空调")

    private Long elevatorNum;

    /**
     * 照明灯具
     */
    @Excel(name = "照明灯具")

    private Long laNum;

    /**
     * 安防
     */
    @Excel(name = "安防")

    private Long seNum;

    /**
     * 卫生间
     */
    @Excel(name = "卫生间")

    private Long toNum;

    /**
     * 公区
     */
    @Excel(name = "公区")

    private Long arNum;

    /**
     * 空调
     */
    @Excel(name = "空调")

    private Long diNum;

    /**
     * 其它维修
     */
    @Excel(name = "电梯故障")

    private Long otNum;

    /**
     * 会议保障
     */
    @Excel(name = "消防设施设备故障")

    private Long meNum;

    /**
     * 办公室
     */
    @Excel(name = "保洁服务")

    private Long ofNum;

}
