package com.project.zcustom.domain.property;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.project.common.annotation.Excel;
import com.project.common.core.domain.CustomBaseEntity;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import lombok.experimental.Accessors;

/**
 * 驿站列对象 plat_property_list
 *
 * @author change
 * @date 2024-10-21
 */
@Data
@Accessors(chain = true)
@ToString(callSuper = true)
@EqualsAndHashCode(callSuper = false)
@TableName("large_plat_property_list")

public class PlatPropertyList extends CustomBaseEntity {

    /**
     * 主键id
     */
    @TableId(value = "id")

    private Long id;

    /**
     * 地区编码
     */
    @Excel(name = "地区编码")

    private String appOrg;

    /**
     * 驿站名称
     */
    @Excel(name = "驿站名称")

    private String stationName;

    /**
     * 驿站地址
     */
    @Excel(name = "驿站地址")

    private String stationAddress;

    /**
     * 服务次数
     */
    @Excel(name = "服务次数")

    private Long stationNum;

}
