package com.project.zcustom.domain.video;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;



@Data
@TableName("screen_unified_video")
public class ScreenUnifiedVideo implements Serializable {

    private static final long serialVersionUID = 1L;


    @TableId(value = "id", type = IdType.ASSIGN_UUID)
    private String id;

    /**
     * 设备名称
     */

    private String name;

    /**
     * 设备编码
     */

    private String code;

    /**
     * 码流
     */

    private String bitstream;

    /**
     * 设备简称
     */

    private String abbreviation;

    /**
     * 设备说明
     */

    private String deviceDescribe;

    /**
     * 设备状态（1在线，2离线，3故障，4旁路）
     */

    private Integer status;

    /**
     * 是否启用（1是，2否）
     */

    private Integer enableFlag;

    /**
     * 安装时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")

    private Date installTime;

    /**
     * 废弃时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")

    private Date discardTime;

    /**
     * 创建人
     */

    private String createId;

    /**
     * 修改人
     */

    private String updateId;

    /**
     * 是否删除
     */

    private Integer isDelete;

    /**
     * 乐观锁
     */

    private Integer optimisticLockVersion;


}
