package com.project.zcustom.tools;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.ToString;
import lombok.experimental.Accessors;

import java.util.Collections;
import java.util.HashSet;
import java.util.Set;

@Data
@ToString
@NoArgsConstructor
@AllArgsConstructor
@Accessors(chain = true)
public class ProcessCache {

    /**
     * 当前执行的命令进程
     */
    private Process process;

    /**
     * 当前打开的摄像头的编码
     */
    private String videoCode;

    /**
     * 摄像头的视频连接
     */
    private String videoUrl;

    /**
     * 当前摄像头连接的用户
     */
    private Set<String> userIds = Collections.synchronizedSet(new HashSet<>());


}
